Name:		exempi
Version:	2.6.4
Release:	1
Summary:	Exempi is an implementation of XMP (Adobe's Extensible Metadata Platform)
License:	BSD
URL:		https://wiki.freedesktop.org/libopenraw/Exempi/
Source0:	http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.bz2

BuildRequires:	gcc-c++ autoconf automake libtool
BuildRequires:	boost-devel expat-devel zlib-devel pkgconfig
Provides:	bundled(md5-polstra)

%description
Exempi is an implementation of XMP.
Version 2.x is based on Adobe XMP SDK and released under a BSD-style license like Adobe's.

%package devel
Summary:	exempi's development files
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
this package provides development files, including headers and libraries.

%package help
Summary:	Help information for user

%description help
Help information for user

%prep
%autosetup -n exempi-2.6.4 -p1

%build
libtoolize -vi
./autogen.sh
%configure CPPFLAGS="-I%{_includedir} -fno-strict-aliasing -DBanAllEntityUsage=1"
# Disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%check
make check

%install
%make_install

%files
%doc AUTHORS ChangeLog COPYING
%{_libdir}/*.so.*
%{_bindir}/exempi

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/exempi-2.0/
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la

%files help
%{_mandir}/man1/exempi.1*

%changelog
* Wed Jul 12 2023 chenzixuan <chenzixuan@kylinos.cn> - 2.6.4-1
- Update to 2.6.4

* Tue Feb 07 2023 wangjunqi <wangjunqi@kylinos.cn> - 2.6.3-1
- Update to 2.6.3

* Mon Jun 20 2022 dillon chen <dillon.chen@gmail.com> - 2.6.1-1
- Update to 2.6.1

* Mon Apr 18 2022 Wei, Qiang <qiang.wei@suse.com> - 2.5.2-3
- Remove self dependency which is temporary used to resolve compatiable during upgrade.

* Tue Feb 2 2021 wangchen <wangchen137@huawei.com> - 2.5.2-2
- Provide old so files.

* Tue Jan 26 2021 wangchen <wangchen137@huawei.com> - 2.5.2-1
- Update to 2.5.2

* Fri Sep 06 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.4.5-4
- Package init
